#! /bin/sh

dmesg=/var/run/dmesg.boot
resultfil=/tmp/result
disks=`sed -n -E '/^(da|ad)[0-9]:.*</p' $dmesg | sed 's/^\(...\).*/\1/'`
set $disks
disk=$1
export TITLE='ϡɥǥõġwipe-out'

while true ; do
	dname=`sed -n -E "/^${disk}:.*<.*>/p" $dmesg | sed 's/.*\(<.*>\).*/\1/'`
	bytes=`diskinfo -B /dev/r$disk`
	# bytes=`diskinfo -b /dev/r$disk | rev | sed 's/\(...\)/\1,/g' | sed 's/,$//' | rev`
	cap=`diskinfo -p /dev/r$disk`

	msg="                      ᥤ˥塼\n"
	msg="${msg}Υǥ /dev/${disk} ${dname} Ǥ\n"
	msg="${msg}ǥ̤ $bytes Х ($cap) Ǥ\n"
	msg="${msg}ʲΥ˥塼򤷤Ƥ\n"

	dialog 	2>$resultfil \
		--title "$TITLE" \
		--menu "$msg" \
		18 74 5 \
		z '0񤭤ơΥǥΥǡä' \
		f '1񤭤ơΥǥΥǡä' \
		r 'ǡ񤭤ơΥǥΥǡä' \
		s '̤Υǥ򤹤' \
		d 'ưΥƥåǧ' \
		v '֡wipe-out٤ˤĤơפ򸫤' \
		b ' (sh) ư' \
		t ' (csh) ư' \
		x 'åȥ󤹤'

	case x"$?" in
		x1)
			break
			;;
	esac

	result=`cat $resultfil`

	case x"${result}" in
		xz)
			sh erase.sh -z $disk
			;;
		xf)
			sh erase.sh -f $disk
			;;
		xr)
			sh erase.sh -r $disk
			;;
		xs)
			. seldisk.sh
			;;
		xv)
			dialog	--title 'wipe-out٤ˤĤ' \
				--textbox info.txt 22 76
			;;
		xd)
			dialog	--title 'ưΥƥå' \
				--textbox /var/run/dmesg.boot 22 76
			;;
		xb)
			/bin/sh -i
			;;
		xt)
			if [ -x /bin/csh ]; then
				/bin/csh -i
			else
				msg='ǤǤϡcshפѤǤޤ'
				dialog	--title "$TITLE" \
					--msgbox "$msg" 5 64
			fi
			;;
		xx)
			if [ -x /sbin/shutdown ]; then
				/sbin/shutdown -h now
			else
				msg='ǤǤϡshutdownפѤǤޤ'
				dialog	--title "$TITLE" \
					--msgbox "$msg" 5 64
			fi
			;;
	esac
done

dialog	--title "$TITLE" \
	--infobox 'λޤ' 3 48

echo '/bin/sh /wipeout/mainmenu.shפǥ˥塼̤ƤӽФޤ'
echo ''

exit 0

# EOF
